unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ColoredLabel, Wizard, ExtCtrls, DadGraphics;

type
  TForm1 = class(TForm)
    Wizard1: TWizard;
    Bevel1: TBevel;
    btNext: TButton;
    btPrec: TButton;
    btCancel: TButton;
    Panel1: TPanel;
    Image1: TImage;
    ImageList1: TImageList;
    Edit1: TEdit;
    Memo1: TMemo;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    RadioGroup1: TRadioGroup;
    Label1: TLabel;
    procedure Wizard1PageChanged(Sender: TObject);
    procedure btCancelClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.DFM}

procedure TForm1.Wizard1PageChanged(Sender: TObject);
begin
  if Wizard1.PageIndex=Wizard1.Pages.Count-1 then
  Begin
    btCancel.Caption:='&Finish';
    btCancel.Default:=True;
  End Else
  Begin
    btCancel.Caption:='&Cancel';
    btCancel.Default:=False;
  End;
end;

procedure TForm1.btCancelClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.FormCreate(Sender: TObject);
Var
  Bm : TBitmap;
begin
  Bm:=TBitmap.Create;
  Bm.Width:=ImageList1.Width;
  Bm.Height:=ImageList1.Height;
  Bm.PixelFormat:=pf24Bit;
  DrawGradient(Bm.Canvas,Rect(0,0,Bm.Width,Bm.Height),clFuchsia,clLime);
  ImageList1.Add(Bm,Nil);
  DrawGradient(Bm.Canvas,Rect(0,0,Bm.Width,Bm.Height),clRed,clYellow);
  ImageList1.Add(Bm,Nil);
  DrawGradient(Bm.Canvas,Rect(0,0,Bm.Width,Bm.Height),clBlue,clLime);
  ImageList1.Add(Bm,Nil);
  DrawGradient(Bm.Canvas,Rect(0,0,Bm.Width,Bm.Height),clAqua,clNavy);
  ImageList1.Add(Bm,Nil);
  Bm.Free;
  Wizard1.RefreshImage;
end;

end.
